Library

Get Library

GET
/v0/projects/{idOrSlug}/library

Authorization

apiKeyAuth
headerx-api-key<token>

FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.

Path Parameters

idOrSlug*string

Response Body

Success

application/json
  1. response
folders*array<>
dashboards*array<>
notebooks*array<>
charts*array<>
funnels*array<>
sankeys*array<>
retentions*array<>
Example Request
curl -X GET 'https://api.faststats.dev/v0/projects/string/library'
Example Response
{  "folders": [    {      "id": "string",      "projectId": "string",      "parentId": "string",      "name": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "dashboards": [    {      "id": "string",      "projectId": "string",      "name": "string",      "description": "string",      "isPublic": true,      "isDefault": true,      "isPinned": true,      "folderId": "string",      "position": 0,      "markerOverrides": {        "mode": "inherit",        "collections": [          {            "collectionId": "string",            "enabled": true,            "display": {              "icon": "string",              "emoji": "string",              "color": "string"            }          }        ],        "hiddenCollectionIds": [          "string"        ]      },      "createdAt": "string",      "updatedAt": "string"    }  ],  "notebooks": [    {      "id": "string",      "projectId": "string",      "name": "string",      "excerpt": "string",      "folderId": "string",      "createdBy": "string",      "updatedBy": "string",      "createdAt": "string",      "updatedAt": "string"    }  ],  "charts": [    {      "id": "string",      "projectId": "string",      "dashboardId": "string",      "folderId": "string",      "notebookId": "string",      "name": "string",      "description": "string",      "chartType": "bar",      "position": {        "x": 0,        "y": 0,        "w": 0,        "h": 0      },      "createdAt": "string",      "updatedAt": "string"    }  ],  "funnels": [    {      "id": "string",      "projectId": "string",      "name": "string",      "description": "string",      "steps": [        {          "type": "event",          "id": "string",          "name": "string",          "match": "all",          "filters": [            {              "field": "string",              "operator": "equals",              "value": "string"            }          ]        }      ],      "exclusions": [        {          "type": "event",          "id": "string",          "name": "string",          "match": "all",          "filters": [            {              "field": "string",              "operator": "equals",              "value": "string"            }          ]        }      ],      "holdProperty": "string",      "unsupportedSteps": true,      "conversionWindowSeconds": 0,      "strictOrder": true,      "timeRangeSeconds": 0,      "dashboardId": "string",      "folderId": "string",      "notebookId": "string",      "position": {        "x": 0,        "y": 0,        "w": 0,        "h": 0      },      "display": "steps",      "createdAt": "string",      "updatedAt": "string"    }  ],  "sankeys": [    {      "id": "string",      "projectId": "string",      "name": "string",      "description": "string",      "definition": {        "days": 1,        "stepCount": 2,        "nodesPerStep": 2,        "minSessions": 1,        "pathType": "all",        "walkBy": "session",        "pageLabel": "path",        "groupUrls": true,        "collapseRepeats": true,        "startPoint": "string",        "startOccurrence": "first",        "endPoint": "string",        "endOccurrence": "first",        "include": [          "string"        ],        "exclude": [          "string"        ],        "rules": [          {            "pattern": "string",            "replacement": "string"          }        ],        "filters": [          {            "field": "step",            "operator": "is",            "values": [              "string"            ]          }        ],        "goal": "string",        "maxGapMinutes": 0,        "hideSingleStep": true,        "eventProperty": "string",        "breakdown": "country",        "compare": true      },      "display": {        "view": "flow",        "values": "count",        "showDropOffs": true,        "showOther": true      },      "dashboardId": "string",      "folderId": "string",      "notebookId": "string",      "position": {        "x": 0,        "y": 0,        "w": 0,        "h": 0      },      "createdAt": "string",      "updatedAt": "string"    }  ],  "retentions": [    {      "id": "string",      "name": "string",      "dashboardId": "string",      "updatedAt": "string"    }  ]}